Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"3aa1529e-f1d7-46d1-9aef-8ba990652a41","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["8673d0d2-60fb-470b-a158-d354d7da497a"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"584e094c-150d-465a-bddb-955912d668c3","url":null,"userId":"b3fa9c47-ecad-452e-9776-46896139e3f9","userUrl":null,"categoryId":"558a5d72-1ab1-43fc-a02b-969d6249425e","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-08-21T23:31:46.8228881+00:00","lastModifiedDateTime":"2026-08-22T19:31:46.8228881+00:00","availableFrom":"2026-08-22T23:31:46","startDateTimeZone":null,"availableUntil":"2026-08-23T23:31:46","endDateTimeZone":null,"medias":[{"id":"6402d3ce-da62-4f2c-8d03-1a35d871fb01","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"8056da6a-3c9a-472c-87ae-65c323127fca","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"998a9268-c9a5-4762-aef2-3fe452594fc2","url":null},{"type":"Department","name":"Department name example","id":"6deb45f1-856d-4750-a31b-f87f9bc176dc","url":null},{"type":"User group","name":"User group name example","id":"a08d37d8-43e3-4ab2-b9ae-19347bb64293","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"6ba804e1-a13c-4db9-888e-b38da3fd16b5"}],"userGroups":[{"url":null,"name":"User group name example","id":"4001c872-9e79-4a44-a398-5ad2f84b429c"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string